Bug 215145

Summary: [NEW PORT] devel/py-XStatic - packaged front-end libraries with minimal code
Product: Ports & Packages Reporter: Alexander Nusov <alexander.nusov>
Component: Individual Port(s)Assignee: Roman Bogorodskiy <novel>
Status: Closed FIXED    
Severity: Affects Only Me CC: alexander.nusov, novel
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
XStatic ports
none
Updated XStatic COMMENTs and pkg-descr's none

Description Alexander Nusov 2016-12-08 11:01:49 UTC
Created attachment 177791 [details]
XStatic ports

The goal of XStatic family of packages is to provide static file packages with minimal overhead - without selling you some dependencies you don’t want.

New ports:
./py-XStatic
./py-XStatic-Angular
./py-XStatic-Angular-Bootstrap
./py-XStatic-Angular-FileUpload
./py-XStatic-Angular-Gettext
./py-XStatic-Angular-Schema-Form
./py-XStatic-Angular-lrdragndrop
./py-XStatic-Bootstrap-Datepicker
./py-XStatic-Bootstrap-SCSS
./py-XStatic-D3
./py-XStatic-Font-Awesome
./py-XStatic-Hogan
./py-XStatic-JQuery-Migrate
./py-XStatic-JQuery.TableSorter
./py-XStatic-JQuery.quicksearch
./py-XStatic-JSEncrypt
./py-XStatic-Jasmine
./py-XStatic-Rickshaw
./py-XStatic-Spin
./py-XStatic-bootswatch
./py-XStatic-jQuery
./py-XStatic-jquery-ui
./py-XStatic-mdi
./py-XStatic-objectpath
./py-XStatic-roboto-fontface
./py-XStatic-smart-table
./py-XStatic-term.js
./py-XStatic-tv4
Comment 1 commit-hook freebsd_committer 2016-12-18 11:36:58 UTC
A commit references this bug:

Author: novel
Date: Sun Dec 18 11:36:35 UTC 2016
New revision: 428845
URL: https://svnweb.freebsd.org/changeset/ports/428845

Log:
  Add devel/py-XStatic and related ports

  Add py-XStatic family of ports. The goal of XStatic family of packages
  is to provide static file packages with minimal overhead - without
  selling you some dependencies you don?t want.

  PR:		215145
  Submitted by:	Alexander Nusov (alexander.nusov@nfvexpress.com)

Changes:
  head/devel/Makefile
  head/devel/py-XStatic/
  head/devel/py-XStatic/Makefile
  head/devel/py-XStatic/distinfo
  head/devel/py-XStatic/pkg-descr
  head/devel/py-XStatic-Angular/
  head/devel/py-XStatic-Angular/Makefile
  head/devel/py-XStatic-Angular/distinfo
  head/devel/py-XStatic-Angular/pkg-descr
  head/devel/py-XStatic-Angular-Bootstrap/
  head/devel/py-XStatic-Angular-Bootstrap/Makefile
  head/devel/py-XStatic-Angular-Bootstrap/distinfo
  head/devel/py-XStatic-Angular-Bootstrap/pkg-descr
  head/devel/py-XStatic-Angular-FileUpload/
  head/devel/py-XStatic-Angular-FileUpload/Makefile
  head/devel/py-XStatic-Angular-FileUpload/distinfo
  head/devel/py-XStatic-Angular-FileUpload/pkg-descr
  head/devel/py-XStatic-Angular-Gettext/
  head/devel/py-XStatic-Angular-Gettext/Makefile
  head/devel/py-XStatic-Angular-Gettext/distinfo
  head/devel/py-XStatic-Angular-Gettext/pkg-descr
  head/devel/py-XStatic-Angular-Schema-Form/
  head/devel/py-XStatic-Angular-Schema-Form/Makefile
  head/devel/py-XStatic-Angular-Schema-Form/distinfo
  head/devel/py-XStatic-Angular-Schema-Form/pkg-descr
  head/devel/py-XStatic-Angular-lrdragndrop/
  head/devel/py-XStatic-Angular-lrdragndrop/Makefile
  head/devel/py-XStatic-Angular-lrdragndrop/distinfo
  head/devel/py-XStatic-Angular-lrdragndrop/pkg-descr
  head/devel/py-XStatic-Bootstrap-Datepicker/
  head/devel/py-XStatic-Bootstrap-Datepicker/Makefile
  head/devel/py-XStatic-Bootstrap-Datepicker/distinfo
  head/devel/py-XStatic-Bootstrap-Datepicker/pkg-descr
  head/devel/py-XStatic-Bootstrap-SCSS/
  head/devel/py-XStatic-Bootstrap-SCSS/Makefile
  head/devel/py-XStatic-Bootstrap-SCSS/distinfo
  head/devel/py-XStatic-Bootstrap-SCSS/pkg-descr
  head/devel/py-XStatic-D3/
  head/devel/py-XStatic-D3/Makefile
  head/devel/py-XStatic-D3/distinfo
  head/devel/py-XStatic-D3/pkg-descr
  head/devel/py-XStatic-Font-Awesome/
  head/devel/py-XStatic-Font-Awesome/Makefile
  head/devel/py-XStatic-Font-Awesome/distinfo
  head/devel/py-XStatic-Font-Awesome/pkg-descr
  head/devel/py-XStatic-Hogan/
  head/devel/py-XStatic-Hogan/Makefile
  head/devel/py-XStatic-Hogan/distinfo
  head/devel/py-XStatic-Hogan/pkg-descr
  head/devel/py-XStatic-JQuery-Migrate/
  head/devel/py-XStatic-JQuery-Migrate/Makefile
  head/devel/py-XStatic-JQuery-Migrate/distinfo
  head/devel/py-XStatic-JQuery-Migrate/pkg-descr
  head/devel/py-XStatic-JQuery.TableSorter/
  head/devel/py-XStatic-JQuery.TableSorter/Makefile
  head/devel/py-XStatic-JQuery.TableSorter/distinfo
  head/devel/py-XStatic-JQuery.TableSorter/pkg-descr
  head/devel/py-XStatic-JQuery.quicksearch/
  head/devel/py-XStatic-JQuery.quicksearch/Makefile
  head/devel/py-XStatic-JQuery.quicksearch/distinfo
  head/devel/py-XStatic-JQuery.quicksearch/pkg-descr
  head/devel/py-XStatic-JSEncrypt/
  head/devel/py-XStatic-JSEncrypt/Makefile
  head/devel/py-XStatic-JSEncrypt/distinfo
  head/devel/py-XStatic-JSEncrypt/pkg-descr
  head/devel/py-XStatic-Jasmine/
  head/devel/py-XStatic-Jasmine/Makefile
  head/devel/py-XStatic-Jasmine/distinfo
  head/devel/py-XStatic-Jasmine/pkg-descr
  head/devel/py-XStatic-Rickshaw/
  head/devel/py-XStatic-Rickshaw/Makefile
  head/devel/py-XStatic-Rickshaw/distinfo
  head/devel/py-XStatic-Rickshaw/pkg-descr
  head/devel/py-XStatic-Spin/
  head/devel/py-XStatic-Spin/Makefile
  head/devel/py-XStatic-Spin/distinfo
  head/devel/py-XStatic-Spin/pkg-descr
  head/devel/py-XStatic-bootswatch/
  head/devel/py-XStatic-bootswatch/Makefile
  head/devel/py-XStatic-bootswatch/distinfo
  head/devel/py-XStatic-bootswatch/pkg-descr
  head/devel/py-XStatic-jQuery/
  head/devel/py-XStatic-jQuery/Makefile
  head/devel/py-XStatic-jQuery/distinfo
  head/devel/py-XStatic-jQuery/pkg-descr
  head/devel/py-XStatic-jquery-ui/
  head/devel/py-XStatic-jquery-ui/Makefile
  head/devel/py-XStatic-jquery-ui/distinfo
  head/devel/py-XStatic-jquery-ui/pkg-descr
  head/devel/py-XStatic-mdi/
  head/devel/py-XStatic-mdi/Makefile
  head/devel/py-XStatic-mdi/distinfo
  head/devel/py-XStatic-mdi/pkg-descr
  head/devel/py-XStatic-objectpath/
  head/devel/py-XStatic-objectpath/Makefile
  head/devel/py-XStatic-objectpath/distinfo
  head/devel/py-XStatic-objectpath/pkg-descr
  head/devel/py-XStatic-roboto-fontface/
  head/devel/py-XStatic-roboto-fontface/Makefile
  head/devel/py-XStatic-roboto-fontface/distinfo
  head/devel/py-XStatic-roboto-fontface/pkg-descr
  head/devel/py-XStatic-smart-table/
  head/devel/py-XStatic-smart-table/Makefile
  head/devel/py-XStatic-smart-table/distinfo
  head/devel/py-XStatic-smart-table/pkg-descr
  head/devel/py-XStatic-term.js/
  head/devel/py-XStatic-term.js/Makefile
  head/devel/py-XStatic-term.js/distinfo
  head/devel/py-XStatic-term.js/pkg-descr
  head/devel/py-XStatic-tv4/
  head/devel/py-XStatic-tv4/Makefile
  head/devel/py-XStatic-tv4/distinfo
  head/devel/py-XStatic-tv4/pkg-descr
Comment 2 Roman Bogorodskiy freebsd_committer 2016-12-18 11:40:39 UTC
Committed, thanks!

PS I've had to adjust dependencies for py-XStatic-Angular-Bootstrap because it failed in poudriere. Specifically, I've added dependencies on devel/py-setuptools_scm and devel/py-wheel.
Comment 3 Alexander Nusov 2016-12-18 13:35:47 UTC
(In reply to Roman Bogorodskiy from comment #2)
Cool, thanks!
Comment 4 Alexander Nusov 2016-12-19 13:19:27 UTC
reopening due multiple complaints regarding COMMENTS and pkg-descr messages
Comment 5 Alexander Nusov 2016-12-19 13:20:20 UTC
Created attachment 178095 [details]
Updated XStatic COMMENTs and pkg-descr's
Comment 6 commit-hook freebsd_committer 2016-12-25 11:29:28 UTC
A commit references this bug:

Author: novel
Date: Sun Dec 25 11:29:05 UTC 2016
New revision: 429408
URL: https://svnweb.freebsd.org/changeset/ports/429408

Log:
  Update py-XStatic* COMMENTs and pkg-descr's

  Use more informative COMMENT and pkg-descr for
  devel/py-XStatic* family of ports.

  PR:		215145
  Submitted by:	maintainer
  Reported by:	adamw, mat

Changes:
  head/devel/py-XStatic/Makefile
  head/devel/py-XStatic-Angular/Makefile
  head/devel/py-XStatic-Angular/pkg-descr
  head/devel/py-XStatic-Angular-Bootstrap/Makefile
  head/devel/py-XStatic-Angular-Bootstrap/pkg-descr
  head/devel/py-XStatic-Angular-FileUpload/Makefile
  head/devel/py-XStatic-Angular-FileUpload/pkg-descr
  head/devel/py-XStatic-Angular-Gettext/Makefile
  head/devel/py-XStatic-Angular-Gettext/pkg-descr
  head/devel/py-XStatic-Angular-Schema-Form/Makefile
  head/devel/py-XStatic-Angular-Schema-Form/pkg-descr
  head/devel/py-XStatic-Angular-lrdragndrop/Makefile
  head/devel/py-XStatic-Angular-lrdragndrop/pkg-descr
  head/devel/py-XStatic-Bootstrap-Datepicker/Makefile
  head/devel/py-XStatic-Bootstrap-Datepicker/pkg-descr
  head/devel/py-XStatic-Bootstrap-SCSS/Makefile
  head/devel/py-XStatic-Bootstrap-SCSS/pkg-descr
  head/devel/py-XStatic-D3/Makefile
  head/devel/py-XStatic-D3/pkg-descr
  head/devel/py-XStatic-Font-Awesome/Makefile
  head/devel/py-XStatic-Font-Awesome/pkg-descr
  head/devel/py-XStatic-Hogan/Makefile
  head/devel/py-XStatic-Hogan/pkg-descr
  head/devel/py-XStatic-JQuery-Migrate/Makefile
  head/devel/py-XStatic-JQuery-Migrate/pkg-descr
  head/devel/py-XStatic-JQuery.TableSorter/Makefile
  head/devel/py-XStatic-JQuery.TableSorter/pkg-descr
  head/devel/py-XStatic-JQuery.quicksearch/Makefile
  head/devel/py-XStatic-JQuery.quicksearch/pkg-descr
  head/devel/py-XStatic-JSEncrypt/Makefile
  head/devel/py-XStatic-JSEncrypt/pkg-descr
  head/devel/py-XStatic-Jasmine/Makefile
  head/devel/py-XStatic-Jasmine/pkg-descr
  head/devel/py-XStatic-Rickshaw/Makefile
  head/devel/py-XStatic-Rickshaw/pkg-descr
  head/devel/py-XStatic-Spin/Makefile
  head/devel/py-XStatic-Spin/pkg-descr
  head/devel/py-XStatic-bootswatch/Makefile
  head/devel/py-XStatic-bootswatch/pkg-descr
  head/devel/py-XStatic-jQuery/Makefile
  head/devel/py-XStatic-jQuery/pkg-descr
  head/devel/py-XStatic-jquery-ui/Makefile
  head/devel/py-XStatic-jquery-ui/pkg-descr
  head/devel/py-XStatic-mdi/Makefile
  head/devel/py-XStatic-mdi/pkg-descr
  head/devel/py-XStatic-objectpath/Makefile
  head/devel/py-XStatic-objectpath/pkg-descr
  head/devel/py-XStatic-roboto-fontface/Makefile
  head/devel/py-XStatic-roboto-fontface/pkg-descr
  head/devel/py-XStatic-smart-table/Makefile
  head/devel/py-XStatic-smart-table/pkg-descr
  head/devel/py-XStatic-term.js/Makefile
  head/devel/py-XStatic-term.js/pkg-descr
  head/devel/py-XStatic-tv4/Makefile
  head/devel/py-XStatic-tv4/pkg-descr
Comment 7 Roman Bogorodskiy freebsd_committer 2016-12-25 11:31:25 UTC
Committed, thanks!